Index: stylesheets/xhtml/lfs-navigational.xsl
===================================================================
--- stylesheets/xhtml/lfs-navigational.xsl	(revision 11b36cd9669e9a440c66806a7c3d1e667c2754e6)
+++ stylesheets/xhtml/lfs-navigational.xsl	(revision e06576bb413c7f323522da6bfdd024150109d437)
@@ -41,7 +41,7 @@
           </div>
         </xsl:if>
-        <ul class="headerlinks">
+        <div class="headerlinks">
           <xsl:if test="count($prev)&gt;0 and $prev != $home">
-            <li>
+            <div class='prev'>
               <a accesskey="p">
                 <xsl:attribute name="href">
@@ -52,7 +52,19 @@
                 <xsl:text>Prev</xsl:text>
               </a>
-            </li>
+            </div>
           </xsl:if>
-          <li>
+          <xsl:if test="count($next)&gt;0">
+            <div class='next'>
+              <a accesskey="n">
+                <xsl:attribute name="href">
+                  <xsl:call-template name="href.target">
+                    <xsl:with-param name="object" select="$next"/>
+                  </xsl:call-template>
+                </xsl:attribute>
+                <xsl:text>Next</xsl:text>
+              </a>
+            </div>
+          </xsl:if>
+          <div class='home'>
             <a accesskey="h">
               <xsl:attribute name="href">
@@ -63,20 +75,7 @@
               <xsl:text>Home</xsl:text>
             </a>
-          </li>
-          <xsl:if test="count($next)&gt;0">
-            <li>
-              <a accesskey="n">
-                <xsl:attribute name="href">
-                  <xsl:call-template name="href.target">
-                    <xsl:with-param name="object" select="$next"/>
-                  </xsl:call-template>
-                </xsl:attribute>
-                <xsl:text>Next</xsl:text>
-              </a>
-            </li>
-          </xsl:if>
-        </ul>
+          </div>
+        </div>
       </div>
-      <hr/>
     </xsl:if>
   </xsl:template>
@@ -92,9 +91,7 @@
             or count($next) &gt; 0 or generate-id($home) != generate-id(.)"/>
     <xsl:if test="$row">
-      <hr/>
       <div class="navfooter">
-        <ul>
           <xsl:if test="count($prev)&gt;0 and $prev != $home">
-            <li>
+            <div class='prev'>
               <a accesskey="p">
                 <xsl:attribute name="href">
@@ -104,11 +101,25 @@
                 </xsl:attribute>
                 <xsl:text>Prev</xsl:text>
-              </a>
+              </a><br/>
               <xsl:text> </xsl:text>
               <xsl:apply-templates select="$prev" mode="object.title.markup"/>
-            </li>
+            </div>
+          </xsl:if>
+          <xsl:if test="count($next)&gt;0">
+            <div class='next'>
+              <a accesskey="n">
+                <xsl:attribute name="href">
+                  <xsl:call-template name="href.target">
+                    <xsl:with-param name="object" select="$next"/>
+                  </xsl:call-template>
+                </xsl:attribute>
+                <xsl:text>Next</xsl:text>
+              </a><br/>
+              <xsl:text> </xsl:text>
+              <xsl:apply-templates select="$next" mode="object.title.markup"/>
+            </div>
           </xsl:if>
           <xsl:if test="count($up)&gt;0 and $up != $home">
-            <li>
+            <div class='up'>
               <a accesskey="u">
                 <xsl:attribute name="href">
@@ -118,34 +129,19 @@
                 </xsl:attribute>
                 <xsl:text>Up</xsl:text>
-              </a>
-            </li>
+               </a>
+               <xsl:if  test="$home != .">
+                 <div class='home'>
+                   <a accesskey="h">
+                     <xsl:attribute name="href">
+                       <xsl:call-template name="href.target">
+                         <xsl:with-param name="object" select="$home"/>
+                       </xsl:call-template>
+                     </xsl:attribute>
+                     <xsl:text>Home</xsl:text>
+                   </a>
+                 </div>
+               </xsl:if>
+            </div>
           </xsl:if>
-          <xsl:if  test="$home != .">
-            <li>
-              <a accesskey="h">
-                <xsl:attribute name="href">
-                  <xsl:call-template name="href.target">
-                    <xsl:with-param name="object" select="$home"/>
-                  </xsl:call-template>
-                </xsl:attribute>
-                <xsl:text>Home</xsl:text>
-              </a>
-            </li>
-          </xsl:if>
-          <xsl:if test="count($next)&gt;0">
-            <li>
-              <a accesskey="n">
-                <xsl:attribute name="href">
-                  <xsl:call-template name="href.target">
-                    <xsl:with-param name="object" select="$next"/>
-                  </xsl:call-template>
-                </xsl:attribute>
-                <xsl:text>Next</xsl:text>
-              </a>
-              <xsl:text> </xsl:text>
-              <xsl:apply-templates select="$next" mode="object.title.markup"/>
-            </li>
-          </xsl:if>
-        </ul>
       </div>
     </xsl:if>
@@ -153,4 +149,2 @@
 
 </xsl:stylesheet>
-
-
